Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517015 - SELinux is preventing iw from 'write' accesses on the file /run/tlp/lock_tlp.
Summary: SELinux is preventing iw from 'write' accesses on the file /run/tlp/lock_tlp.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:7bb98eff09db578f92e6b6786d9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 23:06 UTC by Max
Modified: 2018-03-31 05:25 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-11 12:55:32 UTC


Attachments (Terms of Use)

Description Max 2017-11-23 23:06:17 UTC
Description of problem:
SELinux is preventing iw from 'write' accesses on the file /run/tlp/lock_tlp.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that iw should be allowed write access on the lock_tlp file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'iw' --raw | audit2allow -M my-iw
# semodule -X 300 -i my-iw.pp

Additional Information:
Source Context                system_u:system_r:ifconfig_t:s0-s0:c0.c1023
Target Context                system_u:object_r:var_run_t:s0
Target Objects                /run/tlp/lock_tlp [ file ]
Source                        iw
Source Path                   iw
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.24.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.10.15-100.fc24.x86_64 #1 SMP Mon
                              May 8 20:51:22 UTC 2017 x86_64 x86_64
Alert Count                   53
First Seen                    2016-12-24 16:56:42 PST
Last Seen                     2017-05-20 21:24:12 PDT
Local ID                      eb1abccc-5251-4f5b-a172-eccad7f97440

Raw Audit Messages
type=AVC msg=audit(1495340652.491:329): avc:  denied  { write } for  pid=6805 comm="ethtool" path="/run/tlp/lock_tlp" dev="tmpfs" ino=26371 scontext=system_u:system_r:ifconfig_t:s0-s0:c0.c1023 tcontext=system_u:object_r:var_run_t:s0 tclass=file permissive=0


Hash: iw,ifconfig_t,var_run_t,file,write

Version-Release number of selected component:
selinux-policy-3.13.1-191.24.fc24.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.13.13-300.fc27.x86_64
type:           libreport

Potential duplicate: bug 1373791

Comment 1 Lukas Vrabec 2017-12-11 12:55:32 UTC
Please update to the latest selinux-policy package for Fedora27. 

Thanks,
Lukas.

Comment 2 Mark Harfouche 2018-02-09 17:57:15 UTC
Description of problem:
I really don't know.

But I know that my computer wasn't allowed to "suspend" so when I put it in my backpack, it got really hot. 
Thank god I felt it before it burned itself.

Version-Release number of selected component:
selinux-policy-3.13.1-283.24.fc27.noarch

Additional info:
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.14.16-300.fc27.x86_64
type:           libreport

Comment 3 Artem Silenkov 2018-03-12 21:05:00 UTC
Description of problem:
This alert is hapenning every time I plug my laptop to AC power. 

Version-Release number of selected component:
selinux-policy-3.13.1-283.26.fc27.noarch

Additional info:
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.6-300.fc27.x86_64
type:           libreport

Comment 4 Luca Botti 2018-03-18 21:21:36 UTC
Description of problem:
Started the system

Version-Release number of selected component:
selinux-policy-3.13.1-283.26.fc27.noarch

Additional info:
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.9-300.fc27.x86_64
type:           libreport

Comment 5 krinkodot22 2018-03-31 05:25:00 UTC
Description of problem:
On a laptop:
-Install TLP
-Enable it with 'sudo tlp start'
-Unplug/plug AC power

Whenever the AC is (un)plugged, this AVC denial happens.

SEAlert recommended restoring the label of /run/tlp/lock_tlp to its default of tlp_var_run_t, which worked, but this should be set by default. Perhaps not setting that file's default context at install time is a TLP bug instead of a Fedora bug?

Version-Release number of selected component:
selinux-policy-3.13.1-283.29.fc27.noarch

Additional info:
reporter:       libreport-2.9.3
hashmarkername: setroubleshoot
kernel:         4.15.13-300.fc27.x86_64
type:           libreport


Note You need to log in before you can comment on or make changes to this bug.